package com.tykj.dev.device.allot.service;

import com.tykj.dev.device.allot.subject.domin.AllotBill;
import com.tykj.dev.device.allot.subject.vo.AllotBillSelectVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface AllotBillService {

    AllotBill addEntity(AllotBill allotBillEntity);

    AllotBill update(AllotBill allotBillEntity);

    Page<AllotBill> getPage(AllotBillSelectVo allotBillSelectVo, Pageable pageable);

    List<AllotBill> getList(AllotBillSelectVo allotBillSelectVo);

    AllotBill getOne(Integer id);

    void delete(Integer id);
}
